//[passport](../../../../index.md)/[com.yandex.passport.api](../../index.md)/[PassportCookie](../index.md)/[Factory](index.md)

# Factory

[passport]\
object [Factory](index.md)

## Functions

| Name | Summary |
|---|---|
| [from](from.md) | [passport]<br>fun [from](from.md)(intent: Intent): [PassportCookie](../index.md)<br>~~fun~~ [~~from~~](from.md)~~(~~environment: [PassportEnvironment](../../-passport-environment/index.md), sessionId: String?, returnUrl: String~~)~~~~:~~ [PassportCookie](../index.md) |
| [fromAllCookies](from-all-cookies.md) | [passport]<br>fun [fromAllCookies](from-all-cookies.md)(environment: [PassportEnvironment](../../-passport-environment/index.md), cookies: String?, returnUrl: String): [PassportCookie](../index.md) |
